<?php 
$xsl_letter = to_str($GLOBALS['LA']['xsl_letter']);

if (isset($_POST['apply']))#нажали кнопку войти
{
	$site_users = & singleton('SiteUsers');
	
	#определяем зарегистрирован пользователь или нет
	$result = $site_users->SendNewPassword(to_str($_POST['site_user_login']), to_str($_POST['site_user_email']), $xsl_letter);
	
	if ($result)
	{
		?>
		<h1>Восстановление пароля прошло успешно</h1>
		<p>В Ваш адрес отправлено письмо, содержащее Ваш новый пароль.</p>
		<p>Если Ваш браузер поддерживает автоматическое перенаправление через 10 секунд Вы перейдёте на страницу <a href="../">идентификации пользователя</a>. Если Вы не хотите ждать перейдите по соответствующей ссылке.</p>
		
		<script language="JavaScript" type="text/javascript">
		<!--
		function set_location()
		{
			location="../";
		}
		setTimeout('set_location()', 10000);
		//-->
		</script>
		<?php 
	}
	else
	{
		$error='Пользователь с такими параметрами не зарегистрирован или на указанный e-mail не может быть отправлено письмо.';
	}
}
else 
{
	$result = false;
}

if (!$result)
{
	?>
	<h1>Восстановление пароля</h1>
	<?php echo !empty($error) ? '<div id="error">'.$error.'</div>' : ''?>

	<form action="/users/restore_password/" method="post">
	<p>Пользователь:
	<br /><input name="site_user_login" type="text" size="30" class="large_input" />
	</p>
	<p>E-mail:
	<br /><input name="site_user_email" type="text" size="30" class="large_input" />
	</p>
	<p><input name="apply" type="submit" value="Восстановить" class="large_input" /></p>
   </form>
<?php 	
}
?>